com.fasterxml.jackson.dataformat.javaprop

## Class JavaPropsFactory

- java.lang.Object
- - com.fasterxml.jackson.core.JsonFactory
  - - com.fasterxml.jackson.dataformat.javaprop.JavaPropsFactory

- All Implemented Interfaces:
    com.fasterxml.jackson.core.Versioned, Serializable

      public class JavaPropsFactory
      extends com.fasterxml.jackson.core.JsonFactory

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.core.JsonFactory

      `com.fasterxml.jackson.core.JsonFactory.Feature`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `CHARSET_ID_LATIN1`
    `static String` | `FORMAT_NAME_JAVA_PROPERTIES`

    - ### Fields inherited from class com.fasterxml.jackson.core.JsonFactory

      `_byteSymbolCanonicalizer, _characterEscapes, _factoryFeatures, _generatorFeatures, _inputDecorator, _objectCodec, _outputDecorator, _parserFeatures, _recyclerRef, _rootCharSymbols, _rootValueSeparator, DEFAULT_FACTORY_FEATURE_FLAGS, DEFAULT_GENERATOR_FEATURE_FLAGS, DEFAULT_PARSER_FEATURE_FLAGS, FORMAT_NAME_JSON`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `JavaPropsFactory()`
    `protected` | `JavaPropsFactory(JavaPropsFactory src, com.fasterxml.jackson.core.ObjectCodec oc)`
    `` | `JavaPropsFactory(com.fasterxml.jackson.core.ObjectCodec codec)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected com.fasterxml.jackson.core.JsonGenerator` | `_createGenerator(Writer out, com.fasterxml.jackson.core.io.IOContext ctxt)`
    `protected com.fasterxml.jackson.core.JsonParser` | `_createParser(byte[] data, int offset, int len, com.fasterxml.jackson.core.io.IOContext ctxt)`
    `protected com.fasterxml.jackson.core.JsonParser` | `_createParser(char[] data, int offset, int len, com.fasterxml.jackson.core.io.IOContext ctxt, boolean recyclable)`
    `protected com.fasterxml.jackson.core.JsonParser` | `_createParser(InputStream in, com.fasterxml.jackson.core.io.IOContext ctxt)`
    `protected com.fasterxml.jackson.core.JsonParser` | `_createParser(Reader r, com.fasterxml.jackson.core.io.IOContext ctxt)`
    `protected com.fasterxml.jackson.core.JsonGenerator` | `_createUTF8Generator(OutputStream out, com.fasterxml.jackson.core.io.IOContext ctxt)`
    `protected Writer` | `_createWriter(OutputStream out, com.fasterxml.jackson.core.JsonEncoding enc, com.fasterxml.jackson.core.io.IOContext ctxt)`
    `protected Properties` | `_loadProperties(InputStream in, com.fasterxml.jackson.core.io.IOContext ctxt)`
    `protected Properties` | `_loadProperties(Reader r0, com.fasterxml.jackson.core.io.IOContext ctxt)`
    `boolean` | `canHandleBinaryNatively()`
    `boolean` | `canUseCharArrays()`
    `boolean` | `canUseSchema(com.fasterxml.jackson.core.FormatSchema schema)`
    `JavaPropsFactory` | `copy()`
    `com.fasterxml.jackson.core.JsonGenerator` | `createGenerator(OutputStream out)` Method for constructing `JsonGenerator` for generating CBOR-encoded output.
    `com.fasterxml.jackson.core.JsonGenerator` | `createGenerator(OutputStream out, com.fasterxml.jackson.core.JsonEncoding enc)`
    `JavaPropsGenerator` | `createGenerator(Properties props)` Convenience method to allow using a pre-constructed `Properties` instance as output target, so that serialized property values are added.
    `com.fasterxml.jackson.core.JsonParser` | `createParser(byte[] data)`
    `com.fasterxml.jackson.core.JsonParser` | `createParser(byte[] data, int offset, int len)`
    `com.fasterxml.jackson.core.JsonParser` | `createParser(File f)`
    `com.fasterxml.jackson.core.JsonParser` | `createParser(InputStream in)`
    `JavaPropsParser` | `createParser(Properties props)` Convenience method to allow feeding a pre-parsed `Properties` instance as input.
    `com.fasterxml.jackson.core.JsonParser` | `createParser(URL url)`
    `String` | `getFormatName()`
    `com.fasterxml.jackson.core.format.MatchStrength` | `hasFormat(com.fasterxml.jackson.core.format.InputAccessor acc)` Sub-classes need to override this method
    `boolean` | `requiresPropertyOrdering()`
    `com.fasterxml.jackson.core.Version` | `version()`

    - ### Methods inherited from class com.fasterxml.jackson.core.JsonFactory

      `_checkInvalidCopy, _createContext, _createDataOutputWrapper, _createParser, _decorate, _decorate, _decorate, _decorate, _decorate, _getBufferRecycler, _optimizedStreamFromURL, canParseAsync, configure, configure, configure, createGenerator, createGenerator, createGenerator, createGenerator, createJsonGenerator, createJsonGenerator, createJsonGenerator, createJsonParser, createJsonParser, createJsonParser, createJsonParser, createJsonParser, createJsonParser, createJsonParser, createNonBlockingByteArrayParser, createParser, createParser, createParser, createParser, createParser, disable, disable, disable, enable, enable, enable, getCharacterEscapes, getCodec, getFormatReadFeatureType, getFormatWriteFeatureType, getInputDecorator, getOutputDecorator, getRootValueSeparator, hasJSONFormat, isEnabled, isEnabled, isEnabled, readResolve, requiresCustomCodec, setCharacterEscapes, setCodec, setInputDecorator, setOutputDecorator, setRootValueSeparator`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FORMAT_NAME_JAVA_PROPERTIES

          public static final String FORMAT_NAME_JAVA_PROPERTIES

      See Also:
        Constant Field Values

    - #### CHARSET_ID_LATIN1

          protected static final String CHARSET_ID_LATIN1

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JavaPropsFactory

          public JavaPropsFactory()

    - #### JavaPropsFactory

          public JavaPropsFactory(com.fasterxml.jackson.core.ObjectCodec codec)

    - #### JavaPropsFactory

          protected JavaPropsFactory(JavaPropsFactory src,
                          com.fasterxml.jackson.core.ObjectCodec oc)

  - ### Method Detail

    - #### copy

          public JavaPropsFactory copy()

      Overrides:
        `copy` in class `com.fasterxml.jackson.core.JsonFactory`

    - #### version

          public com.fasterxml.jackson.core.Version version()

      Specified by:
        `version` in interface `com.fasterxml.jackson.core.Versioned`
      Overrides:
        `version` in class `com.fasterxml.jackson.core.JsonFactory`

    - #### getFormatName

          public String getFormatName()

      Overrides:
        `getFormatName` in class `com.fasterxml.jackson.core.JsonFactory`

    - #### hasFormat

          public com.fasterxml.jackson.core.format.MatchStrength hasFormat(com.fasterxml.jackson.core.format.InputAccessor acc)
                                                                    throws IOException

      Sub-classes need to override this method
      Overrides:
        `hasFormat` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `IOException`

    - #### requiresPropertyOrdering

          public boolean requiresPropertyOrdering()

      Overrides:
        `requiresPropertyOrdering` in class `com.fasterxml.jackson.core.JsonFactory`

    - #### canHandleBinaryNatively

          public boolean canHandleBinaryNatively()

      Overrides:
        `canHandleBinaryNatively` in class `com.fasterxml.jackson.core.JsonFactory`

    - #### canUseCharArrays

          public boolean canUseCharArrays()

      Overrides:
        `canUseCharArrays` in class `com.fasterxml.jackson.core.JsonFactory`

    - #### canUseSchema

          public boolean canUseSchema(com.fasterxml.jackson.core.FormatSchema schema)

      Overrides:
        `canUseSchema` in class `com.fasterxml.jackson.core.JsonFactory`

    - #### createParser

          public JavaPropsParser createParser(Properties props)

      Convenience method to allow feeding a pre-parsed `Properties` instance as input.
      Since:
        2.9

    - #### createGenerator

          public JavaPropsGenerator createGenerator(Properties props)

      Convenience method to allow using a pre-constructed `Properties` instance as output target, so that serialized property values are added.
      Since:
        2.9

    - #### createParser

          public com.fasterxml.jackson.core.JsonParser createParser(File f)
                                                             throws IOException

      Overrides:
        `createParser` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `IOException`

    - #### createParser

          public com.fasterxml.jackson.core.JsonParser createParser(URL url)
                                                             throws IOException

      Overrides:
        `createParser` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `IOException`

    - #### createParser

          public com.fasterxml.jackson.core.JsonParser createParser(InputStream in)
                                                             throws IOException

      Overrides:
        `createParser` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `IOException`

    - #### createParser

          public com.fasterxml.jackson.core.JsonParser createParser(byte[] data)
                                                             throws IOException

      Overrides:
        `createParser` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `IOException`

    - #### createParser

          public com.fasterxml.jackson.core.JsonParser createParser(byte[] data,
                                                           int offset,
                                                           int len)
                                                             throws IOException

      Overrides:
        `createParser` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `IOException`

    - #### createGenerator

          public com.fasterxml.jackson.core.JsonGenerator createGenerator(OutputStream out,
                                                                 com.fasterxml.jackson.core.JsonEncoding enc)
                                                                   throws IOException

      Overrides:
        `createGenerator` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `IOException`

    - #### createGenerator

          public com.fasterxml.jackson.core.JsonGenerator createGenerator(OutputStream out)
                                                                   throws IOException

      Method for constructing `JsonGenerator` for generating CBOR-encoded output.

      Since CBOR format always uses UTF-8 internally, no encoding need to be passed to this method.

      Overrides:
        `createGenerator` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `IOException`

    - #### _createParser

          protected com.fasterxml.jackson.core.JsonParser _createParser(InputStream in,
                                                            com.fasterxml.jackson.core.io.IOContext ctxt)
                                                                 throws IOException

      Overrides:
        `_createParser` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `IOException`

    - #### _createParser

          protected com.fasterxml.jackson.core.JsonParser _createParser(Reader r,
                                                            com.fasterxml.jackson.core.io.IOContext ctxt)
                                                                 throws IOException

      Overrides:
        `_createParser` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `IOException`

    - #### _createParser

          protected com.fasterxml.jackson.core.JsonParser _createParser(char[] data,
                                                            int offset,
                                                            int len,
                                                            com.fasterxml.jackson.core.io.IOContext ctxt,
                                                            boolean recyclable)
                                                                 throws IOException

      Overrides:
        `_createParser` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `IOException`

    - #### _createParser

          protected com.fasterxml.jackson.core.JsonParser _createParser(byte[] data,
                                                            int offset,
                                                            int len,
                                                            com.fasterxml.jackson.core.io.IOContext ctxt)
                                                                 throws IOException

      Overrides:
        `_createParser` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `IOException`

    - #### _createGenerator

          protected com.fasterxml.jackson.core.JsonGenerator _createGenerator(Writer out,
                                                                  com.fasterxml.jackson.core.io.IOContext ctxt)
                                                                       throws IOException

      Overrides:
        `_createGenerator` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `IOException`

    - #### _createUTF8Generator

          protected com.fasterxml.jackson.core.JsonGenerator _createUTF8Generator(OutputStream out,
                                                                      com.fasterxml.jackson.core.io.IOContext ctxt)
                                                                           throws IOException

      Overrides:
        `_createUTF8Generator` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `IOException`

    - #### _createWriter

          protected Writer _createWriter(OutputStream out,
                             com.fasterxml.jackson.core.JsonEncoding enc,
                             com.fasterxml.jackson.core.io.IOContext ctxt)
                                  throws IOException

      Overrides:
        `_createWriter` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `IOException`

    - #### _loadProperties

          protected Properties _loadProperties(InputStream in,
                                   com.fasterxml.jackson.core.io.IOContext ctxt)
                                        throws IOException

      Throws:
        `IOException`

    - #### _loadProperties

          protected Properties _loadProperties(Reader r0,
                                   com.fasterxml.jackson.core.io.IOContext ctxt)
                                        throws IOException

      Throws:
        `IOException`

Copyright © 2017 FasterXML. All rights reserved.